/* Header menu */
.header {
    padding: 27px 30px;
    /* background-color: rgba(255, 255, 255, 0.9); */
    background-color: transparent;
    transition: all ease-in-out 0.1s;
    position: fixed;
    z-index: 9999;
    border-bottom: #eee;
    /* backdrop-filter: blur(10px); */
    width: 100%;
}

.menu-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 24px;
}

.nav-navigation {
    display: flex;
    align-items: center;
    gap: 32px;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

.nav-navigation li {
    list-style: none;
    cursor: pointer;
    overflow: hidden;
}

.nav-navigation li a {
    width: 100%;
    display: block;
    color: #fff;
    font-size: 1rem;
    line-height: 24px;
    font-weight: 400;
    text-decoration: none;
    border-bottom: 2px solid transparent;
}

li:has(.sub-menu) > a::after {
    position: relative;
    content: '\e906';
    font-family: 'julyfont';
    font-size: 18px;
    font-weight: 500;
    transition: all 0.3s ease-out;
    top: 3px;
    transform: rotate(180deg);
}
.sub-menu a {
    color: var(--Typography-Base-Colors-800) !important;
}

.nav-navigation li:hover {
    color: var(--gray-500);
}

.nav-navigation>li:hover>a,
.nav-navigation>li.active>a,
.nav-navigation>li >a[aria-current="page"] {
    border-bottom: 2px solid var(--dp-blue);
}

.nav-navigation>li:hover:has(.sub-menu)>a {
    border-bottom: 2px solid transparent;
}

.nav-navigation .sub-menu {
    position: relative;
}

.nav-navigation .sub-menu a {
    display: flex;
    align-items: center;
}

.sub-menu>a::after {
    content: '\e906';
    font-family: 'julyfont';
    font-size: 18px;
    font-weight: 500;
    transition: all 0.3s ease-out;
}
.nav-navigation li:hover .sub-menu {
    max-height: 100vh;
    box-shadow: 0px 30px 70px 0px rgba(137, 139, 142, 0.15);
    transition: all .35s;
}

.sub-menu li:hover a, .sub-menu li > a[aria-current="page"] {
    background-color: var(--gray-200);
    color: var(--Typography-Base-Colors-800);
}

.nav-navigation .sub-menu {
    position: absolute;
    background-color: #fff;
    top: 64px;
    min-width: 230px;
    border-radius: 6px;
    padding-left: 0;
    overflow: hidden;
    max-height: 0;
}



.sub-menu li a{
    padding: 5px 0 5px 12px;
}

.nav-button {
    background-color: var(--gray-200);
    height: 44px;
    border-radius: 73px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    overflow: hidden;
}

.nav-button:hover {
    background-color: var(--dp-blue);
    color: #fff;
}

.nav-button:hover a {
    color: #fff;
}

.nav-button a {
    font-weight: 400;
    line-height: 20px;
    font-size: 14px;
    text-decoration: none;
    color: var(--Typography-Base-Colors-800);
    padding: 12px 30px;
}

.sticky {
    position: fixed;
    top: 0;
    width: 100%;
    box-shadow: 0 10px 15px rgba(25, 25, 25, 0.1);
    z-index: 999;
    animation: 1000ms ease-in-out 0s normal none 1 running fadeInDown;
    border-bottom: 1px solid rgba(255, 255, 255, 0.30);
    background: rgba(0, 0, 0, 0.50);
    backdrop-filter: blur(35px);
}

.sticky .nav-button {
    background-color: var(--dp-blue);
    color: #fff;
}

.sticky .nav-button a{
    color: #fff;
}
.res-menu-toggler {
    display: none;
    padding: 25px 0;
}

.res-menu-toggler i {
    font-size: 27px;
    display: block;
    padding-top: 4px;
}


/* animation menu hamburger */
.menu-btn {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 1.5rem;
    height: 1.5rem;
    cursor: pointer;
    z-index: 2;
}

.menu-btn .menu-btn-lines,
.menu-btn .menu-btn-lines::before,
.menu-btn .menu-btn-lines::after {
    width: 1.5rem;
    height: 0.1rem;
    background: #fff;
    transition: all 0.4s ease-in-out;
}

.menu-btn .menu-btn-lines::before,
.menu-btn .menu-btn-lines::after {
    content: "";
    position: absolute;
}

.menu-btn .menu-btn-lines::before {
    transform: translateY(-0.5rem);
}

.menu-btn .menu-btn-lines::after {
    transform: translateY(0.5rem);
}

.menu-btn.open .menu-btn-lines {
    transform: translateX(1rem);
    background: transparent;
}

.menu-btn.open .menu-btn-lines::before {
    transform: rotate(45deg) translate(-0.5rem, 0.5rem);
    background: #fff;
}

.menu-btn.open .menu-btn-lines::after {
    transform: rotate(-45deg) translate(-0.5rem, -0.5rem);
    background: #fff;
}
.nav-contact {
    display: none;
}

/* Responsive Menu */

@media (max-width: 1024px) {
    .header {
        padding: 12px 30px 12px 10px;
    }
    .nav-navigation .sub-menu {
        position: relative;
        height: 0;
        top: 0;
        border-radius: 0;
    }
    .nav-navigation li:hover .sub-menu {
        height: 100%;
    }
    .nav-navigation li a {
        padding-left: 7px;
    }
    .sub-menu li a {
        padding-left: 12px;
    }
    .nav-contact {
        display: block;
        padding: 6px;
        background-color: var(--blue-500);
        color: #fff;
        border-radius: 73px;
        font-size: 14px;
        font-weight: 500;
        line-height: 20px;
        text-align: center;
        width: 80%;
        margin: 15px auto;
        transition: 0.2s all ease-in-out;
    }
    .nav-contact a {
        color: #fff !important;
        text-decoration: none;
    }
    .nav-contact:hover {
        background-color: var(--blue-600);
        transition: 0.2s all ease-in-out;
    }
    .nav-button {
        display: none;
    }
    .nav-navigation li a {
        color: var(--Typography-Base-Colors-800);
    }
    .res-menu-toggler {
        display: block;
    }

    .navbar-wrap {
        position: fixed;
        z-index: 999;
        top: 98px;
        left: 0;
        width: 300px;
        height: calc(100vh - 84px);
        background-color: var(--gray-200);
        padding: 14px 0;
        transition: all 0.3s ease-out;
        transform: translateX(-101%);
    }

    .navbar-wrap .nav-navigation {
        flex-direction: column;
        gap: 0;
        align-items: flex-start;
    }

    .menu-overlay {
        width: 100%;
        height: 100%;
        z-index: 99;
        backdrop-filter: blur(5px);
        background-color: #00000069;
    }

    .overlay-show {
        position: fixed;
    }

    body:has(.nav-d-block) {
        overflow: hidden;
    }

    body:has(.nav-d-block) .nav-d-block {
        transform: translateX(0%) !important;
        overflow: auto;
    }

    .nav-navigation li {
        padding: 5px 0;
        width: 100%;
    }

    .nav-navigation li.sub-menu {
        width: 100%;
    }

    .sub-menu.active-sub-menu>a::after {
        content: '\e906';
        transform: rotate(180deg);
        transition: all 0.3s ease-out;
    }

    .nav-navigation .sub-menu {
        /* height: 0; */
        transition: all 0.3s ease-out;
    }

    .nav-navigation .sub-menu:hover {
        animation: slide-in 0.3s ease-out forwards;
    }

    .nav-navigation .sub-menu.active-sub-menu>ul {
        height: 0;
        opacity: 0;
        overflow: hidden;
    }

    .nav-navigation li.sub-menu ul {
        position: relative;
        top: 5px;
        margin-left: 7px;
    }

    .nav-navigation .sub-menu a {
        justify-content: space-between;
    }

    .active-sub-menu {
        opacity: 1;
        visibility: visible;
        transform: scale(1);
        transition: all 0.3s ease-out;
    }
    .nav-navigation>li:hover>a,
    .nav-navigation>li.active>a {
        border-bottom: 2px solid var(--gray-300);
    }
}